Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 29 Oct 2021 16:11:31 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order for a cycle i wanted to gift at a birthday party today as this item was not available in the babyshops i went to in store. I ordered online as it said delivery date will be 28th October which was perfect.

However, despite calling many many times both to your customer service, and the courier company i did not recieve the order today and will not only recieve it on saturday which is useless as the party is tonight. 

I begged and requested your agents to pls deliver on the time the app promise to deliver on but apparently they placed the delivery to be next day delivery. And the courier company you use are the worst ever and despite several calls and explaining the situation they refused to help.

When i called earlier yesterday to enquire about click and collect your agent did not inform me that online purchase would be quicker and kept arguing and refused to let me speak to a manager. And even today thr manager refused to speak to me.

I am pregnant and cannot go looking for a gift last moment. If you cannot deliver on the date showing when placing the order why do you promise a date then.

What will i do with the ordered item now? And ofcoarse thanks making sure i do not attend the birthday party because of incompetence from your side. My friend ordered from first cry yesterday and she recieved a her order as promised today without having to make even a single phone call to follow up. 

I order online from a lot places and never have i ever not been delivered the item on the day it was promised to ve delivered. This is the first time i ordered online from your app and despite several calls and follow ups and requests i did not recieve the order on the promised date.

This is the last time i am ever buying anything from any landmark group entity. I may not be of value to you but you have lost me and my entire family as your customer for sure. I will also make sure to tell as many friends and my blog followers about your horrible service snd false promises and the attitude of tour managers. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3282334